# Uses of Interface
org.springframework.validation.BindingResult

Packages that use BindingResult
Package
Description
org.springframework.validation
Provides data binding and validation functionality, for usage in business and/or UI layers.
org.springframework.validation.beanvalidation
Support classes for integrating a JSR-303 Bean Validation provider (such as Hibernate Validator) into a Spring ApplicationContext and in particular with Spring's data binding and validation APIs.

## Uses of BindingResult in org.springframework.validation

Classes in org.springframework.validation that implement BindingResult
Modifier and Type
Class
Description
`class`
`AbstractBindingResult`
Abstract implementation of the `BindingResult` interface and its super-interface `Errors`.
`class`
`AbstractPropertyBindingResult`
Abstract base class for `BindingResult` implementations that work with Spring's `PropertyAccessor` mechanism.
`class`
`BeanPropertyBindingResult`
Default implementation of the `Errors` and `BindingResult` interfaces, for the registration and evaluation of binding errors on JavaBean objects.
`class`
`BindException`
Thrown when binding errors are considered fatal.
`class`
`DirectFieldBindingResult`
Special implementation of the Errors and BindingResult interfaces, supporting registration and evaluation of binding errors on value objects.
`class`
`MapBindingResult`
Map-based implementation of the BindingResult interface, supporting registration and evaluation of binding errors on Map attributes.
Methods in org.springframework.validation that return BindingResult
Modifier and Type
Method
Description
`final BindingResult`
BindException.`getBindingResult()`
Return the BindingResult that this BindException wraps.
`static BindingResult`
BindingResultUtils.`getBindingResult(Map<?,?> model, String name)`
Find the BindingResult for the given name in the given model.
`BindingResult`
DataBinder.`getBindingResult()`
Return the BindingResult instance created by this DataBinder.
`static BindingResult`
BindingResultUtils.`getRequiredBindingResult(Map<?,?> model, String name)`
Find a required BindingResult for the given name in the given model.
Methods in org.springframework.validation with parameters of type BindingResult
Modifier and Type
Method
Description
`void`
BindingErrorProcessor.`processMissingFieldError(String missingField, BindingResult bindingResult)`
Apply the missing field error to the given BindException.
`void`
DefaultBindingErrorProcessor.`processMissingFieldError(String missingField, BindingResult bindingResult)`
`void`
BindingErrorProcessor.`processPropertyAccessException(org.springframework.beans.PropertyAccessException ex, BindingResult bindingResult)`
Translate the given `PropertyAccessException` to an appropriate error registered on the given `Errors` instance.
`void`
DefaultBindingErrorProcessor.`processPropertyAccessException(org.springframework.beans.PropertyAccessException ex, BindingResult bindingResult)`
Constructors in org.springframework.validation with parameters of type BindingResult
Modifier
Constructor
Description
``
`BindException(BindingResult bindingResult)`
Create a new BindException instance for a BindingResult.

## Uses of BindingResult in org.springframework.validation.beanvalidation

Methods in org.springframework.validation.beanvalidation with parameters of type BindingResult
Modifier and Type
Method
Description
`protected Object`
SpringValidatorAdapter.`getRejectedValue(String field, ConstraintViolation<Object> violation, BindingResult bindingResult)`
Extract the rejected value behind the given constraint violation, for exposure through the Spring errors representation.